{{- if .Values.frost.httpInternal.enabled -}}
{{- $tier := "http-internal" -}}
{{- $fullName := include "frost-server.fullName" (merge (dict "tier" $tier) .) -}}
apiVersion: v1
kind: Service
metadata:
  name: {{ $fullName }}
  annotations:
    service.beta.kubernetes.io/azure-load-balancer-internal: "true"
  labels:
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ include "frost-server.chart" . }}
    app: {{ include "frost-server.name" . }}
    component: {{ $tier }}
spec:
  {{ if .Values.nginxfrostinternal.enabled -}}
  type: NodePort
  ports:
    - name: http
      port: {{ .Values.frost.httpInternal.ports.http.servicePort }}
      {{- if not .Values.frost.httpInternal.ingress.enabled }}
      nodePort: {{ .Values.frost.httpInternal.ports.http.nodePort }}
      {{- end }}
      targetPort: tomcat
  {{- else }}
  type: LoadBalancer
  loadBalancerIP: {{ .Values.frost.httpInternal.loadBalancerip }}
  ports:
  - port: {{ .Values.frost.httpInternal.ports.http.servicePort }}
    protocol: TCP
    targetPort: tomcat
  {{- end }}
  selector:
    app.kubernetes.io/managed-by: {{ .Release.Service }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/chart: {{ include "frost-server.chart" . }}
    app: {{ include "frost-server.name" . }}
    component: {{ $tier }}
{{- end -}}
